#include "stany.h"

void StanGry::rozpocznijGre(double czasRozgrywki) {
	_rozpoczecieGry = clock();
	_czasRozgrywki = czasRozgrywki;
	_pozostalyCzasGry = czasRozgrywki;
	_graTrwa = true;
}

void StanGry::zakonczGre() {
	_graTrwa = false;
}

bool StanGry::graTrwa() {
	return _graTrwa;
}

void StanGry::uaktualnijStanGry(Mat obraz) {
	if(_graTrwa) {
		double nowyPozostalyCzasGry = _czasRozgrywki - (double)(clock() - _rozpoczecieGry)/CLOCKS_PER_SEC;
		gracz.uaktualnijStanGracza(_pozostalyCzasGry - nowyPozostalyCzasGry,obraz);
		_pozostalyCzasGry = nowyPozostalyCzasGry;

		if(_pozostalyCzasGry < 0) zakonczGre();
	}
}

void StanGry::wyswietlStanGry(Mat gdzie) {
	if(_graTrwa) {
		gracz.wyswietlStanGracza(gdzie);
		char pozostalyCzas[20];
		sprintf(pozostalyCzas,"%.2lf s.", _pozostalyCzasGry);
		Uzytki::wypiszTekst(gdzie,pozostalyCzas,Point(0,gdzie.rows-20));
	}
}
