#pragma once

#include <string>
#include <cstdlib>
using namespace std;

#include "opencv2/imgproc/imgproc.hpp"
#include "opencv2/highgui/highgui.hpp"
using namespace cv;
typedef vector<Point> Kontur;
 
class PrzetwarzanieObrazow {
protected:
	static const int WARTOSC_GRANICZNA = 150;
	static const int MINIMALNY_ROZMIAR_KONTURU = 100;
	Mat _wybierzPikseleBarwa;
	Mat _wybierzPikseleRoznica;
	Mat _wybierzPikseleWynik;
public:
	int wartoscGraniczna;
	Vec3b kolor;

	PrzetwarzanieObrazow();
	Point polozeniePedzla(Mat obraz);

	Mat wybierzPiksele(Mat obraz);
	Kontur filtruj(Mat wybrane);
	Point wyznaczPolozenie(Kontur kontur);

	static Vec3b wyliczBarwe(Vec3b piksel);
	static void konwertujNaBarwe(Mat &obraz);
	static void wyliczDobreParametry(Mat probka, Vec3b& kolor, int& toleracja);
};

