#include "Stany.h"

void StanGracza::uaktualnijStanGracza(double czas, Mat obraz) {
	stanMalowania.uaktualnijStan(czas,obraz);
}
	
void StanGracza::wyswietlStanGracza(Mat gdzie) {
	stanMalowania.wyswietlStan(gdzie);
	Uzytki::wypiszTekst(gdzie,nazwa,Point(0,25));
	Uzytki::wypiszTekst(gdzie,"Pomalowano: " +   Uzytki::ftos(stanMalowania.wyznaczPomalowanaCzesc()*100,0) + "%",Point(0,50));
}

void StanGracza::ustawParametryPedzla(Mat pedzel) {
	Vec3b kolor;
	int wartoscGraniczna;
	PrzetwarzanieObrazow::wyliczDobreParametry(pedzel,kolor,wartoscGraniczna);
	stanMalowania.kolor = kolor;
	stanMalowania.przetwarzanieObrazow.kolor = kolor;
	stanMalowania.przetwarzanieObrazow.wartoscGraniczna = wartoscGraniczna;
}
