#include <cstdio>
using namespace std;

#include "opencv2/highgui/highgui.hpp"
using namespace cv;

#include "stany.h"

VideoCapture kamera;
StanGry stanGry;
Mat aktualnyObraz;
Mat wyswietlanyObraz;

int main(int argc, char * argv[]) {
	kamera.open(0);
	if(!kamera.isOpened()){
		printf("Nie udalo sie zawiazac polaczenia z kamera!\n"); 
		getchar();
	}
	else {
		printf("Kamera podlaczona!\n");
		stanGry.gracz.nazwa = "Filip";
		stanGry.rozpocznijGre(20);

		while(waitKey(10)!=' ') {
			kamera >> aktualnyObraz;
			stanGry.uaktualnijStanGry(aktualnyObraz);
			aktualnyObraz.copyTo(wyswietlanyObraz);
			stanGry.wyswietlStanGry(wyswietlanyObraz);
			imshow("Maluj plot!",wyswietlanyObraz);
			if(stanGry.graTrwa() == false) break;
		}
	}
	return 0;
}
