#include "Stany.h"

StanMalowania::StanMalowania() {
	kolor = Vec3b(0,0,255);
}

double StanMalowania::wyznaczPomalowanaCzesc() {
	return (double)cv::countNonZero(_aktualnyStan)/_aktualnyStan.total();
}

void StanMalowania::uaktualnijStan(double czas, Mat obraz) {
	if(_aktualnyStan.data==NULL) {
		_aktualnyStan = Mat(obraz.size(),CV_8U,Scalar(0));
	}
	Point polozenie = przetwarzanieObrazow.polozeniePedzla(obraz);
	if(polozenie.x>0) circle(_aktualnyStan,polozenie,ROZMIAR_PEDZLA,255,-1);
}

void StanMalowania::wyswietlStan(Mat gdzie) {
	if(_aktualnyStan.data!=NULL) {
		gdzie.setTo(kolor,_aktualnyStan);
	}
}
